%define gcj_support     1
%define major                   2
%define minor                   2
%define micro                   1
%define build_id                build_200609210005
%define eclipse_base            %{_datadir}/eclipse

Summary:        Eclipse Modeling Framework (EMF)
Name:           eclipse-emf
Version:        %{major}.%{minor}.%{micro}
Release:        9%{?dist}
License:        Eclipse Public License
Group:          System Environment/Libraries
URL:            http://www.eclipse.org/emf/
Requires:       eclipse-platform >= 1:3.2.1
Requires:       eclipse-platform < 1:3.2.2

# EMF's download page links to their map file for 2.2.1:
#   http://download.eclipse.org/tools/emf/downloads/drops/2.2.1/R200609210005/directory.txt
# and this tells us the CVS tag for 2.2.1. 
#
# Use the enclosed script to generate the source drop for EMF 2.2.1:
# 
# sh fetch-eclipse-emf.sh emf :pserver:anonymous@dev.eclipse.org:/home/tools \
#   build_200609210005 org.eclipse.emf.releng.build

Source0:        %{name}-fetched-src-%{build_id}.tar.bz2
Source1:        fetch-%{name}.sh

Patch0:         %{name}-customTargets.xml.patch
Patch1:         %{name}-nobootclasspath.patch
# Note, this patch includes the Eclipse SDK version number
Patch2:         %{name}-javadoc.patch
Patch3:         %{name}-addforceContextQualiferproperty.patch
Patch4:         %{name}-buildAll.patch
Patch5:         %{name}-examples-dontChangeBundleClasspath.patch
Patch6:         %{name}-platformjavadocname.patch

BuildRequires:  eclipse-sdk
%if %{gcj_support}
BuildRequires:    gcc-java >= 4.0.2
BuildRequires:    java-gcj-compat-devel >= 1.0.64
Requires(post):   java-gcj-compat >= 1.0.64
Requires(postun): java-gcj-compat >= 1.0.64
%else
BuildRequires:    java-devel >= 1.4.2
%endif

%if %{gcj_support}
%else
BuildArch:        noarch
%endif

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%package        sdk
Summary:        Eclipse EMF SDK
Group:          System Environment/Libraries
Requires:       %{name}-sdo-sdk = %{version}-%{release}
Requires:       %{name}-xsd-sdk = %{version}-%{release}

%package        sdo
Summary:        Eclipse EMF SDO
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
%if %{gcj_support}
Requires(post):   java-gcj-compat >= 1.0.64
Requires(postun): java-gcj-compat >= 1.0.64
%endif

%package        sdo-sdk
Summary:        Eclipse EMF SDO Source (SDK)
Group:          System Environment/Libraries
Requires:       %{name}-sdo = %{version}-%{release}

%package        xsd
Summary:        Eclipse EMF XSD
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
%if %{gcj_support}
Requires(post):   java-gcj-compat >= 1.0.64
Requires(postun): java-gcj-compat >= 1.0.64
%endif

%package        xsd-sdk
Summary:        Eclipse EMF XSD Source (SDK)
Group:          System Environment/Libraries
Requires:       %{name}-xsd = %{version}-%{release}

%package        examples
Summary:        Eclipse EMF examples
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-xsd = %{version}-%{release}
%if %{gcj_support}
Requires(post):   java-gcj-compat >= 1.0.64
Requires(postun): java-gcj-compat >= 1.0.64
%endif

%package        standalone
Summary:        Eclipse EMF Standalone
Group:          System Environment/Libraries
Requires:       java-devel >= 1.4.2

%description
EMF is a modeling framework and code generation facility for building tools and
other applications based on a structured data model.

%description    sdk
Source for all of Eclipse EMF SDK for use within Eclipse.

%description    sdo
Service Data Objects (SDO) is a framework that simplifies and unifies data
application development in a service oriented architecture (SOA).

%description    sdo-sdk
Source for Eclipse EMF SDO for use within Eclipse.

%description    xsd
The XML Schema Infoset Model is a reference library that provides an API for
use with any code that examines, creates or modifies W3C XML Schema
(standalone or as part of other artifacts, such as XForms or WSDL documents). 

%description    xsd-sdk
Source for Eclipse EMF XSD for use within Eclipse.

%description    examples
Example source code and models that demonstrates how to use Eclipse EMF.

%description    standalone
An standalone (ie. independent of the Eclipse runtime) implementation of EMF.

%prep
%setup -q -c
pushd org.eclipse.emf.releng.build
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0

# Don't ever use bootclasspath
# FIXME:  why can't we use bootclasspath?  It gives the infamous
# "java.lang.Object cannot be found" error.
for f in emf/doc/build.properties emf/runtime/build.properties \
    examples/build.properties sdk/build.properties sdo/doc/build.properties \
    sdo/runtime/build.properties tests/build.properties \
    xsd/doc/build.properties xsd/runtime/build.properties; \
do sed --in-place 's/^bootclasspath/#bootclasspath/' $f; done
popd

%build
mkdir home
homedir=$(cd home > /dev/null && pwd)

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base}
SDK=$(cd SDK > /dev/null && pwd)

# Build the EMF builder helper jars

# for ChangeBundleClasspath
pushd org.eclipse.emf.releng.build/org.eclipse.emf.build
# FIXME:  implement com.sun.tools.doclets.standard in gjdoc
rm -rf src/org/eclipse/emf/build/doclet/
ant
popd

# for SetRequiredBundleVersionRanges
pushd org.eclipse.emf.releng.build/org.eclipse.emf.build.ant
mkdir -p build

echo "<project default=\"main\"><target name=\"main\"></target></project>" > build/assemble.org.eclipse.emf.build.ant.all.xml
echo "<project default=\"main\"><target name=\"main\"></target></project>" > build/package.org.eclipse.emf.build.ant.all.xml

eclipse \
     -application org.eclipse.ant.core.antRunner       \
     -Dtype=plugin                                    \
     -Did=org.eclipse.emf.build.ant                   \
     -DsourceDirectory=$(pwd)                          \
     -DbaseLocation=$SDK                               \
     -Dbuilder=%{eclipse_base}/plugins/org.eclipse.pde.build/templates/package-build  \
     -f %{eclipse_base}/plugins/org.eclipse.pde.build/scripts/build.xml

pushd build/plugins/org.eclipse.emf.build.ant
eclipse \
     -application org.eclipse.ant.core.antRunner       \
     -f build.xml build.update.jar
popd

# FIXME:  the SDK symlinks that point to /usr/share/eclipse end up causing the
# antRunner process below to not see anything in $SDK that *isn't* in
# /usr/share/eclipse.  As such, I've hacked this up to temporarily duplicate
# everything in /usr/share/eclipse and copy the emf.build.ant jar there for
# building.  Lame, yes, but it works and it only results in a bloated buildroot
# which is just temporary disk space.  Also, the task itself expects to have
# all of the plugins (including the SDK plugins themselves) in
# org.eclipse.emf.releng.build/src/eclipse/plugins so we symlink the SDK ones there.
# -- overholt 2006-07-27

pushd ../..
rm SDK/plugins/org.eclipse.pde.build
# Remove the bits of the SDK that we don't need
rm SDK/features/org.eclipse.pde.source*
rm SDK/features/org.eclipse.jdt.source*
rm SDK/plugins/org.eclipse.pde.source*
rm SDK/plugins/org.eclipse.jdt.source*
# This tomcat chicanery will be fixed in a future Eclipse SDK RPM
mkdir SDK2
pushd SDK
for f in `find -mindepth 1 -maxdepth 1 -not -name plugins`; do cp -rL $f ../SDK2; done
mkdir ../SDK2/plugins
pushd plugins
for f in `find -mindepth 1 -not -name "org.eclipse.tomcat*"`; do cp -rL $f ../../SDK2/plugins; done
cp -r org.eclipse.tomcat* ../../SDK2/plugins
popd
popd
pushd SDK2/plugins 
ln -s org.eclipse.pde.build* org.eclipse.pde.build
popd
rm -rf SDK
mv SDK2 SDK
SDK=$(cd SDK && pwd)
popd

pushd ../src/eclipse/plugins
for f in `ls $SDK/plugins`; do ln -s $SDK/plugins/$f .; done
popd

# Make EMF ant task available to main EMF build
mv build/plugins/org.eclipse.emf.build.ant/*.jar $SDK/plugins
popd
# End build of EMF builder helper jar

cd org.eclipse.emf.releng.build

# some notes about what we're doing here:
#
# -Duser.home=$homedir: override java.home in the vm so that eclipse only adds files in the buildroot 
# -Dcomponent=sdk: the component of EMF we want to build 
# -DjavacFailOnError=true: fail if there is an error 
# -DdontUnzip=true: don't unzip the result, we will do it manually
# -DbaseLocation=$SDK: $SDK is a mirror of the system SDK dir that is writable by the process 
#                      running the build. This let's the build "see" the jars and have a place to 
#                      put the plugins that have just been built
# -DskipFetch=true: don't fetch the sources 
# -DbaseExists=true: don't download the SDK, we want to use the one in $SDK
java -cp $SDK/startup.jar \
    -Dosgi.sharedConfiguration.area=%{_libdir}/eclipse/configuration \
    -Duser.home=$homedir                        \
    org.eclipse.core.launcher.Main              \
    -application org.eclipse.ant.core.antRunner \
    -DjavacFailOnError=true                     \
    -DdontUnzip=true                            \
    -DmapsLocal=true                            \
    -DbaseLocation=$SDK                         \
    -Dpde.build.scripts=$SDK/plugins/org.eclipse.pde.build/scripts \
    -DskipFetch=true                            \
    -DbuildLabel=%{version}                     \
    -DbuildAlias=%{version}                     \
    -DbaseExists=true \
    -f buildAll.xml buildRPM

%install
rm -rf ${RPM_BUILD_ROOT}
install -d -m755 ${RPM_BUILD_ROOT}/%{eclipse_base}

# EMF SDK and Examples
for file in $(pwd)/org.eclipse.emf.releng.build/src/eclipse/%{version}/*SDK-%{version}.zip; do
  case $file in
    *eclipse*)
      # The ".." is needed since the zip files contain "eclipse/foo".
      (cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && unzip -qq -o $file)
      ;;
  esac
done
for file in $(pwd)/org.eclipse.emf.releng.build/src/eclipse/%{version}/*Examples-%{version}.zip; do
  case $file in
    *eclipse*)
      # The ".." is needed since the zip files contain "eclipse/foo".
      (cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && unzip -qq -o $file)
      ;;
  esac
done

# EMF Models
for file in $(pwd)/org.eclipse.emf.releng.build/src/eclipse/%{version}/*Models-%{version}.zip; do
   (cd $RPM_BUILD_ROOT/%{eclipse_base} && unzip -qq -o $file)
done
mv $RPM_BUILD_ROOT/%{eclipse_base}/readme_models.html \
  $RPM_BUILD_ROOT/%{eclipse_base}/emf/models

install -d -m755 ${RPM_BUILD_ROOT}/%{_datadir}/java/emf

# Standalone EMF
for file in $(pwd)/org.eclipse.emf.releng.build/src/eclipse/%{version}/*Standalone-%{version}.zip; do
   (cd $RPM_BUILD_ROOT/%{_datadir}/java && unzip -qq -o $file)
done
mv $RPM_BUILD_ROOT/%{_datadir}/java/emf/bin/* \
  $RPM_BUILD_ROOT/%{_datadir}/java/emf
rmdir $RPM_BUILD_ROOT/%{_datadir}/java/emf/bin
mv $RPM_BUILD_ROOT/%{_datadir}/java/images/* \
  $RPM_BUILD_ROOT/%{_datadir}/java/emf
rmdir $RPM_BUILD_ROOT/%{_datadir}/java/images
mv $RPM_BUILD_ROOT/%{_datadir}/java/readme_standalone.html \
  $RPM_BUILD_ROOT/%{_datadir}/java/emf

# These are already included in the Eclipse SDK but the packaging guidelines
# would like them in a directory owned by this package
mv $RPM_BUILD_ROOT/%{eclipse_base}/epl-v10.html \
  $RPM_BUILD_ROOT/%{eclipse_base}/features/org.eclipse.emf_*
mv $RPM_BUILD_ROOT/%{eclipse_base}/notice.html \
  $RPM_BUILD_ROOT/%{eclipse_base}/features/org.eclipse.emf_*

%if %{gcj_support}
doc_zip=`ls $RPM_BUILD_ROOT/%{eclipse_base}/plugins | grep org.eclipse.emf.doc`;
aot-compile-rpm --exclude %{eclipse_base}/plugins/$doc_zip/doc.zip
%endif

%clean 
rm -rf ${RPM_BUILD_ROOT}

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%post sdo
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%postun sdo
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%post xsd
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%postun xsd
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.emf.doc_*
%{eclipse_base}/plugins/org.eclipse.emf.doc_*
%{eclipse_base}/plugins/org.eclipse.emf.cheatsheets_*
%{eclipse_base}/plugins/org.eclipse.emf_*
%{eclipse_base}/plugins/org.eclipse.emf.ant_*
%{eclipse_base}/plugins/org.eclipse.emf.codegen.ecore.ui_*
%{eclipse_base}/plugins/org.eclipse.emf.codegen.ecore_*
%{eclipse_base}/plugins/org.eclipse.emf.codegen.ui_*
%{eclipse_base}/plugins/org.eclipse.emf.codegen_*
%{eclipse_base}/plugins/org.eclipse.emf.common.ui_*
%{eclipse_base}/plugins/org.eclipse.emf.common_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore.edit_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore.editor_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore.change_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore.change.edit_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore.xmi_*
%{eclipse_base}/plugins/org.eclipse.emf.edit_*
%{eclipse_base}/plugins/org.eclipse.emf.edit.ui_*
%{eclipse_base}/plugins/org.eclipse.emf.mapping_*
%{eclipse_base}/plugins/org.eclipse.emf.mapping.ui_*
%{eclipse_base}/plugins/org.eclipse.emf.mapping.ecore2ecore_*
%{eclipse_base}/plugins/org.eclipse.emf.mapping.ecore2ecore.editor_*
%{eclipse_base}/plugins/org.eclipse.emf.mapping.ecore2xml_*
%{eclipse_base}/plugins/org.eclipse.emf.mapping.ecore2xml.ui_*
%{eclipse_base}/plugins/org.eclipse.emf.converter_*
%{eclipse_base}/plugins/org.eclipse.emf.importer_*
%{eclipse_base}/plugins/org.eclipse.emf.importer.ecore_*
%{eclipse_base}/plugins/org.eclipse.emf.importer.java_*
%{eclipse_base}/plugins/org.eclipse.emf.importer.rose_*
%{eclipse_base}/plugins/org.eclipse.emf.exporter_*
%{eclipse_base}/features/org.eclipse.emf_*/*.jpg
%{eclipse_base}/features/org.eclipse.emf_*/feature*
%dir %{eclipse_base}/features/org.eclipse.emf_*
%doc %{eclipse_base}/features/org.eclipse.emf_*/license.html
%doc %{eclipse_base}/features/org.eclipse.emf_*/notice.html
%doc %{eclipse_base}/features/org.eclipse.emf_*/epl-v10.html
%if %{gcj_support}
%{_libdir}/gcj/%{name}/cheatsheets*
%{_libdir}/gcj/%{name}/org.eclipse.emf.ant_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.codegen.ecore.ui_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.codegen.ecore_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.codegen.ui_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.codegen_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.common.ui_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.common_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.converter_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.ecore.change.edit_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.ecore.change_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.ecore.edit_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.ecore.editor_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.ecore.xmi_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.ecore_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.edit.ui_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.edit_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.exporter_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.importer.ecore_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.importer.java_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.importer.rose_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.importer_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.mapping.ecore2ecore.editor_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.mapping.ecore2ecore_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.mapping.ecore2xml.ui_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.mapping.ecore2xml_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.mapping.ui_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.mapping_*
%endif

%files sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.emf.source_*
%{eclipse_base}/plugins/org.eclipse.emf.source_*
%{eclipse_base}/features/org.eclipse.emf.sdk_*

%files sdo
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.emf.ecore.sdo_*
%{eclipse_base}/plugins/org.eclipse.emf.commonj.sdo_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore.sdo_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore.sdo.edit_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore.sdo.editor_*
%{eclipse_base}/features/org.eclipse.emf.ecore.sdo.doc_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore.sdo.doc_*
%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.emf.commonj.sdo_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.ecore.sdo.edit_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.ecore.sdo.editor_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.ecore.sdo_*
%endif

%files sdo-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.emf.ecore.sdo.source_*
%{eclipse_base}/plugins/org.eclipse.emf.ecore.sdo.source_*

%files xsd
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.xsd_*
%{eclipse_base}/features/org.eclipse.xsd.doc_*
%{eclipse_base}/plugins/org.eclipse.emf.mapping.xsd2ecore.editor_*
%{eclipse_base}/plugins/org.eclipse.emf.mapping.xsd2ecore_*
%{eclipse_base}/plugins/org.eclipse.xsd.cheatsheets_*
%{eclipse_base}/plugins/org.eclipse.xsd.doc_*
%{eclipse_base}/plugins/org.eclipse.xsd.ecore.importer_*
%{eclipse_base}/plugins/org.eclipse.xsd.ecore.exporter_*
%{eclipse_base}/plugins/org.eclipse.xsd.edit_*
%{eclipse_base}/plugins/org.eclipse.xsd.editor_*
%{eclipse_base}/plugins/org.eclipse.xsd_*
%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.emf.mapping.xsd2ecore.editor_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.mapping.xsd2ecore_*
%{_libdir}/gcj/%{name}/org.eclipse.xsd.ecore.importer_*
%{_libdir}/gcj/%{name}/org.eclipse.xsd.ecore.exporter_*
%{_libdir}/gcj/%{name}/org.eclipse.xsd.edit_*
%{_libdir}/gcj/%{name}/org.eclipse.xsd.editor_*
%endif

%files xsd-sdk
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.xsd.source_*
%{eclipse_base}/plugins/org.eclipse.xsd.source_*

%files examples
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.emf.examples_*
%{eclipse_base}/plugins/org.eclipse.emf.examples_*
%{eclipse_base}/plugins/org.eclipse.emf.activities_*
%{eclipse_base}/plugins/org.eclipse.emf.examples.library_*
%{eclipse_base}/plugins/org.eclipse.emf.examples.library.edit_*
%{eclipse_base}/plugins/org.eclipse.emf.examples.library.editor_*
%{eclipse_base}/plugins/org.eclipse.emf.exporter.html_*
%{eclipse_base}/plugins/org.eclipse.emf.java.edit_*
%{eclipse_base}/plugins/org.eclipse.emf.java.editor_*
%{eclipse_base}/plugins/org.eclipse.emf.java_*
%{eclipse_base}/plugins/org.eclipse.xsd.example_*
%dir %{eclipse_base}/emf
%dir %{eclipse_base}/emf/models
%{eclipse_base}/emf/models/*_%{major}*
%doc %{eclipse_base}/emf/models/readme_models.html
%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.emf.examples.library_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.examples.library.edit_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.examples.library.editor_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.exporter.html_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.java_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.java.edit_*
%{_libdir}/gcj/%{name}/org.eclipse.emf.java.editor_*
%{_libdir}/gcj/%{name}/org.eclipse.xsd_*
%{_libdir}/gcj/%{name}/xsd.example*
%endif

%files standalone
%defattr(-,root,root)
%{_datadir}/java/emf/*.jar
%doc %{_datadir}/java/emf/jars.gif
%doc %{_datadir}/java/emf/readme_standalone.html

%changelog
* Wed Dec 06 2006 Andrew Overholt <overholt@redhat.com> 2.2.1-9
- Add osgi.sharedconfiguration.area flag to build.
- Launcher (/usr/bin/eclipse) doesn't work in this case due to
  specialized jars and ant tasks only in EMF.

* Tue Dec 05 2006 Andrew Overholt <overholt@redhat.com> 2.2.1-8
- Re-add eclipse-sdk as a BR - this is easier than dealing with
  copy-platform shenanigans.

* Tue Dec 05 2006 Andrew Overholt <overholt@redhat.com> 2.2.1-7
- Don't remove org.eclipse.sdk as it's no longer a BR.

* Tue Dec 05 2006 Andrew Overholt <overholt@redhat.com> 2.2.1-6
- Don't unnecessarily give the full path to copy-platform.

* Wed Nov 08 2006 Andrew Overholt <overholt@redhat.com> 2.2.1-5
- Remove the bits of the SDK that we don't need for building.

* Mon Nov 06 2006 Andrew Overholt <overholt@redhat.com> 2.2.1-2
- Add Requires(post,postun) for sub-packages using rebuild-gcj-db.
- Change usage of copy-platform to work with upcoming changes to SDK.

* Thu Oct 19 2006 Andrew Overholt <overholt@redhat.com> 2.2.1-1
- 2.2.1.
- Add sdk package, fix up inter-dependencies to match upstream.
- Don't natively-compile doc.zip (the included jar is just an example).
- Add fetching script with proper permissions.
- Add guards in %%post{,un}s for rebuild-gcj-db's presence.

* Fri Sep 08 2006 Andrew Overholt <overholt@redhat.com> 2.2.0-2
- Remove custom doclet references as gjdoc doesn't implement the necessary
  classes.
- Add examples.

* Tue Aug 01 2006 Andrew Overholt <overholt@redhat.com> 2.2.0-1jpp_1rh
- 2.2.0
- Build using buildAll.xml

* Fri Apr 07 2006 Andrew Overholt <overholt@redhat.com> 2.1.2-1jpp_1rh
- 2.1.2
- Specfile cleanup.

* Thu Mar 17 2005 Jeff Pound <jpound@redhat.com> 2.0.1-4
- Change pde build script location to 3.0.1.

* Wed Mar 16 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-3
- Fixed description

* Fri Oct 29 2004 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-2
- Modified tar-ball to reflect version  

* Wed Oct 27 2004 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-1
- Initial Import
